package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.TableField;
import com.ruoyi.common.core.domain.entity.SysDept;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.ArrayList;
import java.util.List;

/**
 * 门店分类对象 pos_type
 *
 * @author ruoyi
 * @date 2023-05-13
 */
public class PosType
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 分类名 */
    @Excel(name = "分类名")
    private String name;

    /** 越南分类名 */
    @Excel(name = "越南分类名")
    private String nameVi;

    /** 英文分类名 */
    @Excel(name = "英文分类名")
    private String nameEn;

    /** 繁体分类名 */
    @Excel(name = "繁体分类名")
    private String nameTw;

    /** 分类图片 */
    @Excel(name = "分类图片")
    private String image;

    /** 排序 */
    @Excel(name = "排序")
    private String sort;

   /** 父级id */
    @Excel(name = "父级id")
    private Long parentId;

    /** 标识 */
    @Excel(name = "标识")
    private String tag;
    /** 祖级列表 */
    @Excel(name = "祖级列表")
    private String ancestors;

    @TableField(exist = false)
    /** 子分类 */
    private List<PosType> children = new ArrayList<PosType>();

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setName(String name)
    {
        this.name = name;
    }

    public String getName()
    {
        return name;
    }

    public String getNameVi() {
        return nameVi;
    }

    public void setNameVi(String nameVi) {
        this.nameVi = nameVi;
    }

    public String getNameEn() {
        return nameEn;
    }

    public void setNameEn(String nameEn) {
        this.nameEn = nameEn;
    }

    public String getNameTw() {
        return nameTw;
    }

    public void setNameTw(String nameTw) {
        this.nameTw = nameTw;
    }

    public void setImage(String image)
    {
        this.image = image;
    }

    public String getImage()
    {
        return image;
    }

    public String getSort() {
        return sort;
    }

    public void setSort(String sort) {
        this.sort = sort;
    }

    public Long getParentId() {
        return parentId;
    }

    public void setParentId(Long parentId) {
        this.parentId = parentId;
    }

    public String getTag() {
        return tag;
    }

    public void setTag(String tag) {
        this.tag = tag;
    }

    public String getAncestors() {
        return ancestors;
    }

    public void setAncestors(String ancestors) {
        this.ancestors = ancestors;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("name", getName())
            .append("nameVi", getNameVi())
            .append("nameEn", getNameEn())
            .append("nameTw", getNameTw())
            .append("image", getImage())
            .append("sort", getSort())
            .append("parentId", getParentId())
            .append("tag", getTag())
            .append("ancestors", getAncestors())
            .toString();
    }
}
